LINUX.ORG.RU

Где взять qcad?

 ,


0

1

Что-то не хочет в генте устанавливаться qcad из оверлеев: матюкается на невозможность скачивания файлов с qt-шными библиотеками.

Вопрос: как его по-человечески поставить?

Либрекад не предлагать, т.к. либрекад — жуткое вырвиглазное неюзабельное говно.

☆☆☆☆☆

Ответ на: комментарий от comp00

Да при чем здесь это?

Emerging (1 of 2) dev-qt/qt-meta-3.3.8b-r2 from rainyday
...
downloading ...

И пытается с кучи адресов загрузить файл qt-x11-free-3.3.8b.tar.gz, но нигде его не находит:

!!! Couldn't download 'qt-x11-free-3.3.8b.tar.gz'. Aborting.
И в каком оверлее его взять?

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

qt-x11-free-3.3.8b.tar.gz

Господи, это же пакет 8-ми летней давности.
Там наверняка еще ссылки даже не на qt.nokia.com, а на trolltech.com
Но именно это и нужно, то взять его можно тут: http://download.qt-project.org/archive/qt/3/

EXL ★★★★★ ()
Последнее исправление: EXL (всего исправлений: 2)
Ответ на: комментарий от Eddy_Em

На сайте у них можно скачать сорцы, я посмотрел. А дальше уж как хочешь — скомпиль и запускай локально, либо через что-то подобное configure && make && make install, либо, по-хорошему, подними локальный оверлей и напиши ебилд.

devsdc ★★ ()
Ответ на: комментарий от EXL

Спасибо, починил ебилд, запустил ebuild manifest, после обеда проверю

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

А где еще qcad найти, если его перестали обновлять? Что же — перестать чертить? Не вариант.

«Найти» совместно с тегом gentoo в данном контексте неправильное слово. Пожалуйста исправь его на обновить/написать. И не задавай настолько тупых вопросов. Это не к лицу настоящего gentoo-шника!

init_6 ★★★★★ ()
Ответ на: комментарий от Pinkbyte

Вроде рабочие либы Qt3 есть в оверлее kde-sunset

Pinkbyte Я безусловно еще тот тупой дятел… Однако открываем https://github.com/qcad/qcad там видим http://www.qcad.org/en/component/content/article/78-qcad/111-qcad-compilation-from-sources а там ВНЕЗАПНО читаем:

Linux

(cut)

3. Download and install Qt 4.8.4:

Так вот внимание вопрос - о каких конкретно qt 3 идет разговор и на кой хрен они нужны в данном случае?

init_6 ★★★★★ ()

Смехота же.

Эдуард, смотри что гугл нашел, по этой ссылке история успеха, в которой ты уже компилял qcad в gentoo и таки скомпилял? :)

Так что, не падай духом. Или падай.

anonymous ()
Ответ на: комментарий от dinn

Судя по исходникам там и на Qt5 работать должно.

dinn но тут все дело в том, что Eddy_Em как и сказали выше отрыл где-то старье бородатой давности которое действительно использовало qt 3. Кто ищет проблем тот их находит а в данном случае собственно ничего удивительного и все закономерно.

init_6 ★★★★★ ()
Ответ на: комментарий от anonymous

Эдуард, смотри что гугл нашел, по этой ссылке история успеха, в которой ты уже компилял qcad в gentoo и таки скомпилял? :)

Когда это было?.. Память дырявая.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Pinkbyte

Я бы с удовольствием пользовался версией на motif! А не этим вырвиглазным убожеством.

А по поводу Qqad — 2.0.5 вроде как последняя версия.

// вот же скотские кути: error: 'ptrdiff_t' does not name a type. Что ж за западло-то такое?

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Pinkbyte

Или может ебилда на qcad с qt4 никто не запилил.

А это когда-то останавливало gentoo-шников? Кстати вон выше все по той же ссылке нужные версии либ указаны и допилить ebuild при желании не проблема.

init_6 ★★★★★ ()
Ответ на: комментарий от dinn

Ему судя по всему нужно именно поныть, чтобы обратили внимание и пожалели поржали.

fxd.

То, что писать ebuild-ы самому глупо/лениво/<тут еще 100500 причин> это понятно. Про гентушную багзиллу лично я не понил чем плохо понасрать туда - там то всяко пользы будет гораздо больше чем тут. Но кстати Eddy_Em а что создавать темы " megabaks напиши для меня ebuild" уже тоже не модно?

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

То, что писать ebuild-ы самому глупо/лениво/<тут еще 100500 причин> это понятно.

Ему qcad насколько я понимаю нужен для работы, так что это не оправдание.

dinn ★★★★★ ()
Ответ на: комментарий от init_6

А это когда-то останавливало gentoo-шников?

Ну Эдик у нас еще всё-таки начинающий гентушник, что ты с ним так строго... :-)

Pinkbyte ★★★★★ ()
Ответ на: комментарий от init_6

Я бы написал ебилд, если бы понял, как этот чертов кюкад компилять. Вот что в архиве: ls -1

cc-by-3.0.txt
examples
fonts
gpl-3.0-exceptions.txt
gpl-3.0.txt
libraries
LICENSE.txt
merge
merge.bat
patterns
plugins
qcad.dox
qcad.doxyfile
qcad.pro
README.md
readme.txt
scripts
shared_app.pri
shared.pri
shared_ts.pri
src
support
ts

Ни Makefile, ни ./configure...

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Pinkbyte

Да я понял:

mkdir tmp
cd tmp
qmake ..
make

Сейчас компиляется. Если ошибок не будет — можно будет в ебилд все вписать. Просто боюсь, как бы не понадобилось патчи делать.

Eddy_Em ☆☆☆☆☆ ()

Либрекад не предлагать, т.к. либрекад — жуткое вырвиглазное неюзабельное говно.

Не работает с koir-8?

Turbid ★★★★★ ()
Ответ на: комментарий от J

Он не умеет переучиваться на другие тулзы

К.т.н. нынче такие :-[

iVS ★★★★★ ()
Ответ на: комментарий от thesis

очень гибкое, что аж сами девелоперы офигевают

Deleted ()
Ответ на: комментарий от init_6

Вот так-то:

make[3]: *** Нет правила для сборки цели `../../release/libstemmer.a', требуемой для `../../../release/libqcadstemmer.so'.  Останов.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от J

переучиваться на другие тулзы

На кой хрен мне это надо, если qcad — идеальная чертилка? Я еще не встречал ничего лучше!

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от init_6

Прогресс-то налицо. Только 1) новый кюкад хочет qt4, а это плохо. я бы сказал — очень плохо. 2) надо писать патчи ☹

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от Eddy_Em

Только 1) новый кюкад хочет qt4, а это плохо. я бы сказал — очень плохо. 2) надо писать патчи

Вот только не «новый» а актуальный. А хорошо это или плохо… Если ты был упорот на qt 3 то да это пипец как плохо для тебя. А если ты следил за новостями то про то что qcad перешел на qt 4 было написано еще хз когда… И еще я спешу тебя огорчить уже и qt 5 на низком старте так что для qt 3 слоупоков дела обстаят еще хуже. И по всему остальному - это тебе нужны какие-то там патчи? Ну бери и пиши. В чем проблемы?

init_6 ★★★★★ ()
Ответ на: комментарий от init_6

И по всему остальному - это тебе нужны какие-то там патчи? Ну бери и пиши.

Возьму, да напишу, как время будет. К счастью, я на гентушку пока только дома перехожу, на работе будет торчать древний рач до тех пор, пока в генте не будет у меня весь нужный софт работать: все эти латехи, куды, кюкады, кикады, sdcc (кстати, забульбенил себе ебилд на sdcc-3.4.0, т.к. 9999 не работает — не хочет svn co с сосфоржа sdcc'шные сырцы тащить) и прочая фиговина.

Eddy_Em ☆☆☆☆☆ ()

Либрекад не предлагать, т.к. либрекад — жуткое вырвиглазное неюзабельное говно.

можете описать в чем отличие либрекада от кукада на сегодняшний день? На сколько я понимаю, либрекад имеет больше плюшек (DVG, SVG...) по сравнению с комюнити версией кукада.

igor_kr ()
Ответ на: комментарий от Eddy_Em

то есть дело илкючительно в интерфейсе? а функционально они одинаковы?

igor_kr ()
Ответ на: комментарий от igor_kr

ответ прост: зафиможенный моск дрессированной обезьянки не в состоянии осилить что-нибудь новое, ибо давно из живого органа превратился в кусок окаменелого говна, вот обезьянка и пытается войти в ту же реку, лол

anonymous ()
Ответ на: комментарий от Eddy_Em

переучиваться на другие тулзы

На кой хрен мне это надо

Чтоб не трахать себе моск сиспятьинитами, кои8 и кукадами в генте, например?

J ★★★★ ()
Ответ на: комментарий от J

Чтоб не трахать себе моск сиспятьинитами, кои8 и кукадами в генте, например?

так он не себе трахает

registrant ★★★★★ ()
Ответ на: комментарий от init_6

Но кстати Eddy_Em а что создавать темы «megabaks напиши для меня ebuild» уже тоже не модно?

Так баксик свалил же отсюда

Valkeru ★★★★ ()
Ответ на: комментарий от Valkeru

Так баксик свалил же отсюда

._0 вот что значит пропустить пол года на ЛОРе

init_6 ★★★★★ ()
Последнее исправление: init_6 (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.